@import url('https://fonts.googleapis.com/css2?family=DM+Sans:opsz,wght@9..40,500;9..40,600&family=Libre+Franklin:wght@600&family=Oswald:wght@200&display=swap');

/* body */
html {
    scroll-behavior: smooth;
}

body {
    background-image: url('../images/abstract.webp');
    font-family: 'DM Sans', sans-serif;
}

/* header */
.header {
    height: 75px;
    width: 100%;
    background-image: linear-gradient(270deg, #001a8c, #00ccff);
    display: flex;
    margin: auto;
    font-weight: 700;
}

.header-title {
    max-height: 75px;
    padding: 20px 0 0 5px;
    color: #fff;
    font-size: 45px;
    line-height: 1;
    letter-spacing: normal;
    margin: 0 auto;
    display: inline-block;
}

.header-title a {
    text-decoration: none;
    color: #fff;
}

/* What is the BMI section */

.container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.about-BMI {
    font-size: 30px;
    padding: 18px;
    margin-bottom: 20px;
    margin-top: 50px;
    text-align: center;
    position: relative;
}

.BMI-description {
    text-align: center;
    font-size: 18px;
    line-height: 30px;
}

/* BMI Calculator */
.calculator-container {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 20px;
    margin: auto;
    padding-bottom: 20px;
}

.bmi-header {
    text-align: center;
    font-size: x-large;
}

#bmi-form input[type=text],
#bmi-form input[type=number] {
    border: 1px solid #cfcfcf;
    padding: 5px;
}

#bmi-form input[type=number] {
    width: 100%;
}

#bmi-form input[type=submit] {
    padding: 10px;
    border: 0;
    border-radius: 10px;
    color: #fff;
    background: #00a8c3;
    cursor: pointer;
}

#bmi-form input[type=submit]:hover {
    color: #fff;
    background: #001a8c;
    transition: 0.5s ease-in-out;
}

#bmi-form {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2); /* Initial shadow */
    transition: box-shadow 0.3s ease-out;
    border-radius: 10px;
    background: #b3b1b1;
    padding: 20px;
    max-width: 400px;
    width: 70%;
    margin-top: 50px;
}

#bmi-form .bmi-label {
    color: #001a8c;
    font-weight: 700;
    margin: 10px 0;
}

#bmi-form .bmi-row {
    margin-bottom: 20px;
}

/* How to use BMI calculator*/
.using-BMI {
    font-size: 18px;
    padding: 18px;
    margin-bottom: 20px;
    margin-top: 20px;
    text-align: justify;
    position: relative;
}

/* BMI chart */
.fig-chart {
    border: thin #c0c0c0 solid;
    display: flex;
    flex-flow: column;
    padding: 5px;
    max-width: 1140px;
    margin: auto;
}


img {
    max-width: 1500px;
    max-height: 1140px;
}

/* FAQ Section */
.faq-container {
    margin: 0 auto;
    padding-bottom: 50px;
    width: 100%;
    max-width: 1400px;
}

.accordion .accordion-item {
    border-bottom: 1px solid #e5e5e5;
}

.accordion .accordion-item button[aria-expanded='true'] {
    border-bottom: 1px solid #00a8c3;
}

.accordion button {
    position: relative;
    display: block;
    text-align: left;
    width: 100%;
    padding: 20px;
    font-size: 18px;
    font-weight: 550;
    outline: none;
    border: none;
    background: none;
}

.accordion button:hover,
.accordion button:focus {
    cursor: pointer;
    color: #00a8c3;
}

.accordion button:hover::after,
.accordion button:focus::after {
    cursor: pointer;
    color: #00a8c3;
    border: 1px solid #00a8c3;
}

.accordion button .accordion-title {
    padding: 16px 24px 16px 0;
}

.accordion button .icon {
    display: inline-block;
    position: absolute;
    top: 20px;
    right: 0;
    width: 22px;
    height: 22px;
    border: 1px solid;
    border-radius: 22px;
}

.accordion button .icon::before {
    display: block;
    position: absolute;
    content: '';
    top: 9px;
    left: 5px;
    width: 10px;
    height: 2px;
    background: currentColor;
}

.accordion button .icon::after {
    display: block;
    position: absolute;
    content: '';
    top: 5px;
    left: 9px;
    width: 2px;
    height: 10px;
    background: currentColor;
}

.accordion button[aria-expanded='true'] {
    color: #00a8c3;
}

.accordion button[aria-expanded='true'] .icon::after {
    width: 0;
}

.accordion button[aria-expanded='true']+.accordion-content {
    opacity: 1;
    max-height: 1440px;
    transition: all 200ms linear;
    will-change: opacity, max-height;
}

.accordion .accordion-content {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: opacity 200ms linear, max-height 200ms linear;
    will-change: opacity, max-height;
}

.accordion .accordion-content p {
    font-size: 18px;
    font-weight: 300;
    margin-top: 20px;
    margin-left: 20px;

}

/* Footer */
footer {
    position: absolute;
    left:0;
    height: 75px;
    width: 100%;
    background-image: linear-gradient(270deg, #00ccff, #001a8c);
    margin: 0 auto;
    font-weight: 700;
    text-align: center;
}

.footer-text {
    max-height: 75px;
    padding: 20px 0 0 5px;
    color: #ffffff;
    font-size: 20px;
    line-height: 1;
    letter-spacing: normal;
    margin: 0 auto;
    display: inline-block;
}

.footer-text a {
    text-decoration: none;
    color: #ffffff;
}

/* 404 page */

.error-page {
    width: 100%;
    height: auto;
    margin: auto;
    padding: 10px 0px 50px;
}

.error-page h1 {
    font-size: 5vw;
    font-weight: 700;
    text-align: center;
    padding: 50px 10px 10px;
}

.error-page p {
    font-size: 3vw;
    font-weight: 600;
    text-align: center;
    padding: 15px 15px 15px;
}

.error-page a {
    font-size: 25px;
    text-align: center;
    color: #ffffff;
    display: block;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bolder;
    width: 250px;
    background: #00ccff;
    border-radius: 5px;
    margin: 50px auto 0px;
    padding: 20px 20px 20px;
    transition: .4s all ease-in-out;
    cursor: pointer;
}

.error-page a:hover {
    background-color: #001a8c;

}


/*media query*/

@media screen and (max-width: 390px) {
    .header-title {
        font-size: 30px;
    }
}